Subject: Offline Message from Ebtehal : I have received my order #: 600891829 boon nu
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 16 Jun 2020 17:06:36 -0000

From: Ebtehal  <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us
Department: 

I have received my order #: 600891829
boon nursh bottle multi pink and dr.browns pacifier .
The pacifier package was good , but When I open the package I found the box for the boon nursh bottle was already open and i find some damage on the box , I don’t think it new .

----
Zopim
https://www.zopim.com